---
title: "Resolve public ticker"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/public/by-ticker/{ticker}`

## Path parameters

- `ticker` (`entity-resolve-public-ticker.path.ticker`; string, required)
  - minLength 1; maxLength 20

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/public/by-ticker/<ticker>'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/public/by-ticker/<ticker>';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/public/by-ticker/<ticker>"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "slug": "string",
    "name": "string",
    "canonicalPath": "string",
    "matchedBy": "sureshake_ticker"
  }
}
```

- `data` (`entity-resolve-public-ticker.response.200.data`; object, required)
  - `entityId` (`entity-resolve-public-ticker.response.200.data.entityId`; string, required)
    - format `uuid`
  - `slug` (`entity-resolve-public-ticker.response.200.data.slug`; string, required)
  - `name` (`entity-resolve-public-ticker.response.200.data.name`; string, required)
  - `canonicalPath` (`entity-resolve-public-ticker.response.200.data.canonicalPath`; string, required)
  - `matchedBy` (`entity-resolve-public-ticker.response.200.data.matchedBy`; string, required)
    - one of `"sureshake_ticker"`, `"primary_ticker"`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-resolve-public-ticker.response.400.error`; object, required)
  - `code` (`entity-resolve-public-ticker.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-resolve-public-ticker.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-resolve-public-ticker.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-resolve-public-ticker.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-resolve-public-ticker.response.401.error`; object, required)
  - `code` (`entity-resolve-public-ticker.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-resolve-public-ticker.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-resolve-public-ticker.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-resolve-public-ticker.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-resolve-public-ticker.response.403.error`; object, required)
  - `code` (`entity-resolve-public-ticker.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-resolve-public-ticker.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-resolve-public-ticker.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-resolve-public-ticker.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-resolve-public-ticker.response.404.error`; object, required)
  - `code` (`entity-resolve-public-ticker.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-resolve-public-ticker.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-resolve-public-ticker.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-resolve-public-ticker.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-resolve-public-ticker.response.409.error`; object, required)
  - `code` (`entity-resolve-public-ticker.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-resolve-public-ticker.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-resolve-public-ticker.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-resolve-public-ticker.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-resolve-public-ticker.response.422.error`; object, required)
  - `code` (`entity-resolve-public-ticker.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-resolve-public-ticker.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-resolve-public-ticker.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-resolve-public-ticker.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-resolve-public-ticker.response.429.error`; object, required)
  - `code` (`entity-resolve-public-ticker.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-resolve-public-ticker.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-resolve-public-ticker.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-resolve-public-ticker.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-resolve-public-ticker.response.500.error`; object, required)
  - `code` (`entity-resolve-public-ticker.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-resolve-public-ticker.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-resolve-public-ticker.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-resolve-public-ticker.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-resolve-public-ticker.response.503.error`; object, required)
  - `code` (`entity-resolve-public-ticker.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-resolve-public-ticker.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-resolve-public-ticker.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-resolve-public-ticker.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-resolve-public-ticker/index.md
